Here’s a `README.md` template for your **Green Grocer Supermarket** project, following the style of the York Reviews example you provided:

---

# Green Grocer Supermarket

Contributors:

- Sawmi Rajapaksha 


## 🌱 Introduction

**Green Grocer** is a modern, eco-friendly online supermarket platform built with Django and MySQL. It provides a seamless shopping experience for customers who value sustainability, offering a wide range of organic produce, ethically sourced groceries, and reusable household items.



## 🚀 Getting Started

### 1. Clone this Repository
```bash
git clone https://github.com/your-username/green-grocer.git
cd green-grocer
```

### 2. Install Requirements (System-Wide)
Make sure Python and pip are installed:
```bash
pip install -r requirements.txt
```

### 3. Initialise the Database
```bash
python manage.py migrate
```

### 4. Start the Server
```bash
python manage.py runserver
```

### 5. Access the Application  
Go to: [http://localhost:8000](http://localhost:8000)



## 🐍 Using Virtual Environment (Recommended)

Instead of installing packages globally, you can use a virtual environment.

### 1. Create a Virtual Environment
```bash
python -m venv env/
```

### 2. Activate the Virtual Environment
#### On Windows (Git Bash or similar):
```bash
source env/Scripts/activate
```

### 3. Install Requirements and Start the Server
```bash
pip install -r requirements.txt
python manage.py runserver
```

---

## 🧱 Setting Up Django ORM & SQLite3/MySQL

### 1. Initialise the DB
```bash
python manage.py migrate
```

### 2. Make Migrations and Update DB
```bash
python manage.py makemigrations <app-name>
python manage.py migrate
```

---

## 🔐 Accessing the Admin Panel

### 1. Create a Superuser
```bash
python manage.py createsuperuser
```

### 2. Log in at:
[http://localhost:8000/admin/](http://localhost:8000/admin/)

---

## ✅ Running Tests
```bash
python manage.py test
```

---

## 📚 References and Guides

- [Django Documentation](https://docs.djangoproject.com/en/stable/)
- [SQLite Documentation](https://www.sqlite.org/docs.html)
- [Virtual Environments Guide (venv)](https://docs.python.org/3/library/venv.html)
- [MySQL Django Integration](https://docs.djangoproject.com/en/stable/ref/databases/)

